#copyright Goh Chun Hee; www.1001bit.com

require 'sketchup.rb'
require 'extensions.rb'
#================================================================
# set default location of 1001shadows folder to be similar with this file, i.e. inside the Plugins folder 
if !($GH1001shadows_path)
  filep=__FILE__  
  fa=filep.split('/')
  fa.pop
  $GH1001shadows_path=fa.join('/')
  $GH1001shadows_path = $GH1001shadows_path + '/1001shadows'
end

# check to see if the menu file exists.
if File.exist?($GH1001shadows_path + '/1001shadows_menu.rbs')
  #do nothing if path is correct and shadows_menu.rbs file is found
else
  UI.messagebox "Path error in 1001shadows: #{$GH1001shadows_path + '/1001shadows_menu.rbs'} not found!"
end

#------------------------------------------------------------------------------------------------------
#setting up 1001shadows as extensions

mytools = SketchupExtension.new "1001shadows", $GH1001shadows_path + "/1001shadows_init.rb"
mytools.description="Plugins for casting shadows from www.1001shadows.com"
mytools.copyright="2009, Goh Chun Hee, www.1001bit.com"
mytools.creator="Goh Chun Hee, GohCH"
mytools.version="1.0"

Sketchup.register_extension mytools, true